Browse data sources
Browse various types of data sources (S3, OCI, SFTP, GCS, Azure, Redshift, JDBC, Snowflake, Local files) to explore available files and directories. Supports filtering and navigation of remote file systems.
Browse various types of data sources (S3, OCI, SFTP, GCS, Azure, Redshift, JDBC, Snowflake, Local files) to explore available files and directories. Supports filtering and navigation of remote file systems.
Authorization
SymetryMLAuth HMAC-SHA256 signature-based authentication: requests are signed with
your secret key and sent with the Customer-ID, Sym-date,
Authorization, Content-MD5 and sym-version headers.
See SymetryML REST API Security
for the signature algorithm and a complete example.
In: header
Path Parameters
User/Customer identifier
Query Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Encrypted DSListingRequest
Response Body
application/json
curl -X POST "https://example.com/c1/projects/dsbrowse" \ -H "Content-Type: application/json" \ -d '7TYsk+/zj32PJvmeT7FY7mT9yn0IpjSN2KcM1mRkpZEwbDiTsm04CcXJYQWm2r42q0JZnvZ43pFg9hutZhonwtVZkg5x5W4Bk2rhZoAGhD1iCSREqWLRKgPvv2Gdw3yHJj0wEx9O70d21p9VF/uEDXtMsIgFSdZeuLNStZJoUYvWuSmDxMRGznKILNRw8FNTIdNlQ61TWBrTBcWVKFqQoA=='{ "ok": true, "files": [ "Credit/", "Credit/Credit_test.csv", "Credit/Credit_train.csv" ], "dirs": [], "path": "sml-oregon/Credit/"}Get file upload progress (step 3 of 3, pollable) GET
Poll for the progress of an in-flight upload started via `upload`. `statusString` is the number of bytes read so far while the upload is in progress, or `1` once complete — polling again after completion returns the "not being uploaded" `400` below, since the completed entry is removed on first read.
Add data source to project GET
Attach a data source to a project.